OpenAPI documentation for Fluid's SDK API
OpenAPI documentation for Fluid's SDK API
curl -i -X GET \ 'https://docs.fluid.app/_mock/docs/apis/public/api/public/v2025-06/orders/{token}'
order with points found
Localized when language_iso is provided (e.g. 'ay' for Turkish, 'יום' for Hebrew day).
Localized when language_iso is provided (e.g. 'Gratuito' for Italian, 'Ücretsiz' for Turkish).
country_id takes precedence if both country_id and country_code provided.
Total points in currency amount used for this order
The order total (actual card payment) after points redemption
Name of the tax if price is inclusive, e.g. VAT, GST
Discount codes applied to the order
Subscription tokens created from this order
{ "order": { "id": 0, "amount_in_base": "10.0", "base_to_currency_rate": "1.35", "currency_symbol": "string", "currency_code": "string", "external_id": "string", "order_number": "string", "note": "string", "company_logo_url": "string", "created_at": "string", "customer": "string", "email": "string", "total": "string", "total_in_currency": "string", "subtotal": "90.00", "sub_total": "90.00", "sub_total_in_currency": "$90.00", "subtotal_after_discounts": "90.00", "tax": "2.00", "tax_in_currency": "$2.00", "token": "fo_abcdefgh1234", "transaction_fee": "1.00", "transaction_fee_in_currency": "$1.00", "discount": "3.00", "discount_in_currency": "$3.00", "refundable_amount": 10.5, "shipping": "$11.00", "shipping_in_currency": { … }, "payment_status": "string", "enrollment_token": "string", "enrollment_pack": { … }, "fulfillment_status": "string", "order_status": "string", "financial_status": "string", "delivery_status": "string", "delivery_method": "string", "delivery_date": "2023-07-29", "channel": "string", "tags": "string", "items_count": 0, "quantity_count": 0, "items": [ … ], "activities": [ … ], "shipping_method": { … }, "payment_details": { … }, "primary_domain_hostname": "fluid.com", "company_subdomain": "myco", "shipping_total": "0.0", "shipping_total_for_display": "Free", "ship_to": { … }, "bill_to": { … }, "shipping_address": { … }, "billing_address": { … }, "warehouse_id": 1, "warehouse": { … }, "company": { … }, "order_on_behalf_of": true, "volume_rep": { … }, "metadata": {}, "metafields": [ … ], "source": "web", "points_applied": 500, "points_applied_amount": 5, "points_applied_amount_in_currency": "$5.00", "order_total_after_points_redemption": 95, "total_points_credited": 100, "customer_points_balance": 500, "price_inclusive_of_tax": true, "price_inclusive_tax_name": "GST", "free_shipping": false, "discount_codes": [ … ], "created_subscriptions": [ … ], "digital_only": false }, "meta": { "request_id": "string", "timestamp": "string", "shop_url": "string" } }